XDR_READ_PAGES(9)

NAME
xdr_read_pages - Ensure page-based XDR data to decode is aligned at current pointer position

SYNOPSIS

unsigned int xdr_read_pages(struct xdr_stream * xdr, unsigned int len);

ARGUMENTS

xdr
    pointer to xdr_stream struct

len
    number of bytes of page data

DESCRIPTION

Moves data beyond the current pointer position from the XDR head[] buffer into the page list. Any data that lies beyond current position + “len” bytes is moved into the XDR tail[].

Returns the number of XDR encoded bytes now contained in the pages

COPYRIGHT